Bug 280871 - crash on AMD with 2.6.22.4-65 kernel
crash on AMD with 2.6.22.4-65 kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 12:28 EDT by Rob Ristroph
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-13 18:01:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Ristroph 2007-09-06 12:28:20 EDT
Description of problem:

Kernel panic when booting 2.6.22.4-65.fc7

Version-Release number of selected component (if applicable):
kernel 2.6.22.4-65.fc7

How reproducible:
boot

Steps to Reproduce:
1.  Note that this server was built by updating an FC4 installation to FC6, and
then to Fedora 7.
2.  Once the update is done, boot to the default kernel, it fails
3.  Then attempt to boot from the old FC6 kernel.  This works.  
4.  While in the FC6 kernel running on the newly updated FC7, do a yum update to
get the latest of everything
5.  Afterwards try again to boot from the newer Fedora 7 kernel, which is
2.6.22.4-65.fc7, and it fails again. The old FC6 kernel still works.
6. Try adding acpi=off to the kernel boot command, still fails
  
Actual results:
This is the last thing found on the screen, note I transcribed it by hand
because I couldn't capture it directly:

powernow_k8: BIOS error - no PSB or ACPI _PSS objects
Using IPI No shortcut needed
       Magic Number: 7:315:830
driver/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 269k freed
Write protect kernel read-only data: 862k
/bin/nash: error while loading shared libraries: libuuid.so.1: cannot open
shared opject file: No such file or directory
Kerneol panic -- not syncing: Attempted to kill init!

Expected results:
correct, working boot

Additional info:

/proc/cpuinfo:
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 43
model name      : AMD Hammer Family processor - Model Unknown
stepping        : 1
cpu MHz         : 2010.288
cache size      : 512 KB
physical id     : 0
siblings        : 1
core id         : 0
cpu cores       : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt lm 3dnowext 3dnow up
pni lahf_lm ts fid vid ttp
bogomips        : 4023.13

lspci:
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio
Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev a2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit
Ethernet (rev 10)
01:08.0 Ethernet controller: Linksys Gigabit Network Adapter (rev 10)
05:00.0 VGA compatible controller: ATI Technologies Inc RV380 [Radeon X600 (PCIE)]
05:00.1 Display controller: ATI Technologies Inc RV380 [Radeon X600]

rpm -qi kernel
(Note that the first thing listed here works, the second does not)
Name        : kernel                       Relocations: (not relocatable)
Version     : 2.6.18                            Vendor: Red Hat, Inc.
Release     : 1.2798.fc6                    Build Date: Mon 16 Oct 2006 03:57:26
PM EDT
Install Date: Fri 31 Aug 2007 06:09:37 PM EDT      Build Host:
hs20-bc2-4.build.redhat.com
Group       : System Environment/Kernel     Source RPM:
kernel-2.6.18-1.2798.fc6.src.rpm
Size        : 46643882                         License: GPLv2
Signature   : DSA/SHA1, Mon 16 Oct 2006 09:08:07 PM EDT, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Linux kernel (the core of the Linux operating system)
Description :
The kernel package contains the Linux kernel (vmlinuz), the core of any
Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.
Name        : kernel                       Relocations: (not relocatable)
Version     : 2.6.22.4                          Vendor: Fedora Project
Release     : 65.fc7                        Build Date: Tue 21 Aug 2007 11:22:13
PM EDT
Install Date: Thu 06 Sep 2007 10:35:15 AM EDT      Build Host:
xenbuilder2.fedora.redhat.com
Group       : System Environment/Kernel     Source RPM:
kernel-2.6.22.4-65.fc7.src.rpm
Size        : 48774272                         License: GPLv2
Signature   : DSA/SHA1, Thu 23 Aug 2007 05:32:09 PM EDT, Key ID b44269d04f2a6fd2
Packager    : Fedora Project
Summary     : The Linux kernel (the core of the Linux operating system)
Description :
The kernel package contains the Linux kernel (vmlinuz), the core of any
Linux operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.
Comment 1 Chuck Ebbert 2007-09-06 13:09:35 EDT
Is the package e2fsprogs-libs installed? If not, install it.

Then make sure the mkinitrd package is current, and uninstall/reinstall the
latest 2.6.22 kernel. (Or rebuild the initrd if you know how to use mkinitrd.)
Comment 2 Rob Ristroph 2007-09-06 13:24:08 EDT
I checked that e2fsprogs-libs was installed, and also removed and re-installed
the newer kernel.  It made no difference.

However, I have learned that this hardware has a history of problems.  Currently
on the PCI cards in it doesn't work on some boots, until you rmmod and modprobe
the driver to reload it.  It once suffered a power outage that killed the
on-board ethernet, and was moved recently because someone claimed the video
would not work through a KVM switch, only directly connected to the monitor.

In short, perhaps nothing should be done with this bug report until someone else
can confrim it on different hardware ?  Sorry for false alarm (at least I hope
it is)
Comment 3 Christopher Brown 2007-10-03 09:02:20 EDT
Hello Rob,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

I would first attempt what Chuck suggests - this could be resolved by updating
to the latest kernel (I appreciate you have already done this once but running
the latest stable wont hurt) and if this does not resolve the issue then could
you run:

rpm -qa | grep -i mkinitrd

and post back the output. If you're willing and able you could also run the
following on a working and a failing initrd image under /boot:

 mkdir ~/bad-initrd
 cd ~/bad-initrd/
 gzip -dc /boot/initrd-bad-kernel-version.img | cpio -id

 mkdir ~/good-initrd
 cd ~/good-initrd/
 gzip -dc /boot/initrd-good-kernel-version.img | cpio -id

obviously replacing the initrd-bad-kernel-version.img and
initrd-good-kernel-version.img with the appropriate values. 

The run:

diff -u ~/bad-initrd/init ~/good-initrd/init > ~/init-diff.txt

and attach init-diff.txt as text/plain attachment to this bug. Only do this if
you feel comfortable with it. Alternatively, you can send both init images to me
directly with this bug number as the subject.

Cheers
Chris
Comment 4 Christopher Brown 2008-01-13 18:01:20 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.